#Written by Londinium, Bluehunter, Bird + Updates from DC83 and Simone
#Compendium of possible operations
#add_stats
#multiply_stats
#add_average_stats
#manpower
#build_cost_resources
#critical_parts
#can_convert_from (within: module_category, module, convert_cost_ic, convert_cost_resources)
#dismantle_cost_ic

#Compendium of stats that can be modified by adding/multiplication
#lg_attack - Damage done by light guns "Light guns are better at firing at smaller ships"
#lg_armor_piercing - Armor piercing on light guns
#hg_attack - Used for shore bombardment
#hg_armor_piercing - negative values to ensure shore bombardment stats don't affect naval battles
#anti_air_attack - AA stats
#torpedo_attack - Missiles and anti ship torpedoes attack
#sub_attack - Damage against subs
#mines_planting - Mine planting abilities
#mines_sweeping - sweeping abilities
#surface_visibility - Represents a ship's profile. The higher the value the more the ship is easy to spot and especially hit
#sub_visibility - Same as surface but for submarines
#surface_detection - Ability to detect surface vessels
#sub_detection - Same as above but for submarines
#armor_value - Armor is compared to enemy piercing:
	# the more piercing is lower than armor, the more damage is reduced, the more piercing is higher than armor, the more critical hit chance increases
#max_strength - hp of the ship, when used in add stats it represents the module requiring a bigger ship size
#max_organisation - even if used in "add stats" it actually multiplies the base org of the ship
#carrier_size - number of planes that can operate from the ship
#naval_speed - Speed also affects the hit profile, a faster ship is going to be harder to hit
#naval_range - Range
#fuel_consumption 0- Consupmption of fuel
#build_cost_ic - build cost
#reliability - overall reliability of the ship

equipment_modules = {
#Surface Power and Power Transmission Systems===========================================================
#CONVENTIONAL SHIP ENGINES
	module_surface_oil_power = {
		category = module_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 16
			naval_range = 3500
		}

		multiply_stats = {
			build_cost_ic = 0.06
			surface_visibility = 0.3
			fuel_consumption = 0.3
		}

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 1200
		}
	}

	module_surface_diesel_power = {
		category = module_surface_power_source_category
		parent = module_surface_oil_power
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 17
			naval_range = 3000
		}

		multiply_stats = {
			build_cost_ic = 0.09
			surface_visibility = 0.25
			fuel_consumption = 0.25
		}

		dismantle_cost_ic = 180

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 1800
		}
		can_convert_from = {
			module = module_surface_oil_power
			convert_cost_ic = 1200
		}
	}

	module_surface_jet_turbine_power = {
		category = module_surface_power_source_category
		parent = module_surface_diesel_power
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 18
			naval_range = 4000
		}

		multiply_stats = {
			build_cost_ic = 0.12
			surface_visibility = 0.2
			fuel_consumption = 0.2
		}

		dismantle_cost_ic = 240

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 2400
		}
		can_convert_from = {
			module = module_surface_diesel_power
			convert_cost_ic = 1500
		}
	}

	module_surface_jet_turbine_power2 = {
		category = module_surface_power_source_category
		parent = module_surface_jet_turbine_power
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 19
			naval_range = 4500
		}

		multiply_stats = {
			build_cost_ic = 0.15
			surface_visibility = 0.15
			fuel_consumption = 0.15
		}

		dismantle_cost_ic = 300

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 3000
		}
		can_convert_from = {
			module = module_surface_jet_turbine_power
			convert_cost_ic = 1800
		}
	}

	module_surface_jet_turbine_power3 = {
		category = module_surface_power_source_category
		parent = module_surface_jet_turbine_power2
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 20
			naval_range = 5000
		}

		multiply_stats = {
			build_cost_ic = 0.18
			surface_visibility = 0.1
			fuel_consumption = 0.1
		}

		dismantle_cost_ic = 360

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 3600
		}
		can_convert_from = {
			module = module_surface_jet_turbine_power2
			convert_cost_ic = 2100
		}
	}
#LIGHT CONVENTIONAL SHIP ENGINES
	module_light_surface_diesel_power = {
		category = module_light_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 17
			naval_range = 1250
		}

		multiply_stats = {
			build_cost_ic = 0.09
			surface_visibility = 0.25
			fuel_consumption = 0.25
		}

		dismantle_cost_ic = 45

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 450
		}
	}
	module_light_surface_jet_turbine_power = {
		category = module_light_surface_power_source_category
		parent = module_light_surface_diesel_power
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 18
			naval_range = 1500
		}

		multiply_stats = {
			build_cost_ic = 0.12
			surface_visibility = 0.2
			fuel_consumption = 0.2
		}

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 600
		}
		can_convert_from = {
			module = module_light_surface_diesel_power
			convert_cost_ic = 375
		}
	}

	module_light_surface_jet_turbine_power2 = {
		category = module_light_surface_power_source_category
		parent = module_light_surface_jet_turbine_power
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 19
			naval_range = 1750
		}

		multiply_stats = {
			build_cost_ic = 0.15
			surface_visibility = 0.15
			fuel_consumption = 0.15
		}

		dismantle_cost_ic = 75

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 750
		}
		can_convert_from = {
			module = module_light_surface_jet_turbine_power
			convert_cost_ic = 450
		}
	}

	module_light_surface_jet_turbine_power3 = {
		category = module_light_surface_power_source_category
		parent = module_light_surface_jet_turbine_power2
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 20
			naval_range = 2000
		}

		multiply_stats = {
			build_cost_ic = 0.18
			surface_visibility = 0.1
			fuel_consumption = 0.1
		}

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 900
		}
		can_convert_from = {
			module = module_light_surface_jet_turbine_power2
			convert_cost_ic = 525
		}
	}
#SHIP NUCLEAR REACTORS
	module_light_surface_early_reactor_power = {
		category = module_light_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 21
			naval_range = 20000
			build_cost_ic = 750
		}

		multiply_stats = {
			build_cost_ic = 0.3
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 200

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 2000
		}
	}

	module_light_surface_mod_reactor_power = {
		category = module_light_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_light_surface_early_reactor_power
		add_stats = {
			naval_speed = 22
			naval_range = 20000
			build_cost_ic = 250
		}
		multiply_stats = {
			build_cost_ic = 0.3
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 200

		can_convert_from = {
			module_category = module_light_surface_power_source_category
			convert_cost_ic = 2000
		}
		can_convert_from = {
			module = module_light_surface_early_reactor_power
			convert_cost_ic = 1250
		}
	}

	module_surface_early_reactor_power = {
		category = module_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 19
			naval_range = 20000
			build_cost_ic = 1500
		}

		multiply_stats = {
			build_cost_ic = 0.1
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 200

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 2000
		}
	}

	module_surface_adv_reactor_power = {
		category = module_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_surface_early_reactor_power
		add_stats = {
			naval_speed = 20
			naval_range = 20000
			build_cost_ic = 1000
		}

		multiply_stats = {
			build_cost_ic = 0.15
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 300

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 3000
		}
		can_convert_from = {
			module = module_surface_early_reactor_power
			convert_cost_ic = 2000
		}
	}

	module_surface_mod_reactor_power = {
		category = module_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_surface_adv_reactor_power
		add_stats = {
			naval_speed = 21
			naval_range = 20000
			build_cost_ic = 500
		}
		multiply_stats = {
			build_cost_ic = 0.2
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 400

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 4000
		}
		can_convert_from = {
			module = module_surface_adv_reactor_power
			convert_cost_ic = 2500
		}
	}

	module_surface_fut_reactor_power = {
		category = module_surface_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_surface_mod_reactor_power
		add_stats = {
			naval_speed = 22
			naval_range = 20000
		}
		multiply_stats = {
			build_cost_ic = 0.25
			fuel_consumption = -1.0
		}

		dismantle_cost_ic = 500

		can_convert_from = {
			module_category = module_surface_power_source_category
			convert_cost_ic = 5000
		}
		can_convert_from = {
			module = module_surface_mod_reactor_power
			convert_cost_ic = 3000
		}
	}
#CONVENTIONAL SUB ENGINES
	module_sub_diesel_electric_power = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 13
			naval_range = 1500
		}

		multiply_stats = {
			build_cost_ic = 0.06
			sub_visibility = 0.2
			fuel_consumption = 0.3
		}

		dismantle_cost_ic = 24

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 240
		}
	}

	module_sub_diesel_electric_power2 = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_diesel_electric_power
		add_stats = {
			naval_speed = 14
			naval_range = 2000
		}

		multiply_stats = {
			build_cost_ic = 0.09
			sub_visibility = 0.16
			fuel_consumption = 0.25
		}

		dismantle_cost_ic = 36

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 360
		}
		can_convert_from = {
			module = module_sub_diesel_electric_power
			convert_cost_ic = 240
		}
	}

	module_sub_diesel_electric_power3 = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_diesel_electric_power2
		add_stats = {
			naval_speed = 15
			naval_range = 2500
		}

		multiply_stats = {
			build_cost_ic = 0.12
			sub_visibility = 0.12
			fuel_consumption = 0.2
		}

		dismantle_cost_ic = 48

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 480
		}
		can_convert_from = {
			module = module_sub_diesel_electric_power2
			convert_cost_ic = 300
		}
	}

	module_sub_diesel_electric_power4 = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_diesel_electric_power3
		add_stats = {
			naval_speed = 16
			naval_range = 3000
		}

		multiply_stats = {
			build_cost_ic = 0.15
			sub_visibility = 0.08
			fuel_consumption = 0.15
		}

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 600
		}
		can_convert_from = {
			module = module_sub_diesel_electric_power3
			convert_cost_ic = 360
		}
	}

	module_sub_diesel_electric_power5 = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_diesel_electric_power4
		add_stats = {
			naval_speed = 17
			naval_range = 3500
		}

		multiply_stats = {
			build_cost_ic = 0.18
			sub_visibility = 0.04
			fuel_consumption = 0.1
		}

		dismantle_cost_ic = 72

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 720
		}
		can_convert_from = {
			module = module_sub_diesel_electric_power4
			convert_cost_ic = 420
		}
	}
#SUB NUCLEAR REACTOR
	module_sub_early_reactor_power = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		add_stats = {
			naval_speed = 15
			naval_range = 20000
		}

		multiply_stats = {
			build_cost_ic = 0.12
			fuel_consumption = -1.0
			sub_visibility = 0.25
		}

		dismantle_cost_ic = 48

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 480
		}
	}

	module_sub_adv_reactor_power = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_early_reactor_power
		add_stats = {
			naval_speed = 16
			naval_range = 20000
		}

		multiply_stats = {
			build_cost_ic = 0.16
			fuel_consumption = -1.0
			sub_visibility = 0.2
		}

		dismantle_cost_ic = 64

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 640
		}
		can_convert_from = {
			module = module_sub_early_reactor_power
			convert_cost_ic = 400
		}
	}

	module_sub_mod_reactor_power = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_adv_reactor_power
		add_stats = {
			naval_speed = 17
			naval_range = 20000
		}

		multiply_stats = {
			build_cost_ic = 0.2
			fuel_consumption = -1.0
			sub_visibility = 0.15
		}

		dismantle_cost_ic = 80

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 800
		}
		can_convert_from = {
			module = module_sub_adv_reactor_power
			convert_cost_ic = 480
		}
	}

	module_sub_fut_reactor_power = {
		category = module_sub_power_source_category
		sfx = sfx_ui_sd_module_engine
		parent = module_sub_mod_reactor_power
		add_stats = {
			naval_speed = 18
			naval_range = 20000
		}

		multiply_stats = {
			build_cost_ic = 0.24
			fuel_consumption = -1.0
			sub_visibility = 0.1
		}

		dismantle_cost_ic = 96

		can_convert_from = {
			module_category = module_sub_power_source_category
			convert_cost_ic = 960
		}
		can_convert_from = {
			module = module_sub_mod_reactor_power
			convert_cost_ic = 560
		}
	}

	# Support Equipment

	#Since we can't restrict the type of air unit that goes on board, helicopters are represented by stat increases instead
#HELIPADS
	module_light_helipad_1 = {
		category = module_light_helipad_category
		add_stats = {
			surface_detection = 10
			sub_detection = 30
			sub_attack = 12
			torpedo_attack = 1
			mines_sweeping = 0.5
			build_cost_ic = 1600
			fuel_consumption = 20
			max_strength = 40
			max_organisation = 0.57
			surface_visibility = 2
		}
		manpower = 40

		dismantle_cost_ic = 40

		can_convert_from = {
			module_category = module_light_helipad_category
			convert_cost_ic = 50
		}
	}

	module_light_helipad_2 = {
		category = module_light_helipad_category
		parent = module_light_helipad_1
		add_stats = {
			surface_detection = 12
			sub_detection = 36
			sub_attack = 15
			torpedo_attack = 1.5
			mines_sweeping = 1
			build_cost_ic = 1600
			fuel_consumption = 20
			max_strength = 40
			max_organisation = 0.57
			surface_visibility = 1.6
		}

		manpower = 40

		dismantle_cost_ic = 40

		can_convert_from = {
			module_category = module_light_helipad_category
			convert_cost_ic = 50
		}
	}

	module_helipads_1 = {
		category = module_helipads_category
		add_stats = {
			surface_detection = 10
			sub_detection = 36
			sub_attack = 16
			torpedo_attack = 2
			mines_sweeping = 0.75
			build_cost_ic = 3000
			fuel_consumption = 40
			max_strength = 80
			max_organisation = 1.14
			surface_visibility = 4
		}

		dismantle_cost_ic = 80

		manpower = 80

		can_convert_from = {
			module_category = module_helipads_category
			convert_cost_ic = 150
		}
	}

	module_helipads_2 = {
		category = module_helipads_category
		parent = module_helipads_1
		add_stats = {
			surface_detection = 15
			sub_detection = 42
			sub_attack = 20
			torpedo_attack = 2.25
			mines_sweeping = 1.5
			build_cost_ic = 3000
			fuel_consumption = 40
			max_strength = 80
			max_organisation = 1.14
			surface_visibility = 3.6
		}

		dismantle_cost_ic = 80

		manpower = 80

		can_convert_from = {
			module_category = module_helipads_category
			convert_cost_ic = 150
		}
	}

	module_helipads_3 = {
		category = module_helipads_category
		parent = module_helipads_2
		add_stats = {
			surface_detection = 20
			sub_detection = 48
			sub_attack = 24
			torpedo_attack = 2.5
			mines_sweeping = 2.25
			build_cost_ic = 3000
			fuel_consumption = 40
			max_strength = 80
			max_organisation = 1.14
			surface_visibility = 3.2
		}

		dismantle_cost_ic = 80

		manpower = 80

		can_convert_from = {
			module_category = module_helipads_category
			convert_cost_ic = 150
		}
	}

#LIGHT FLIGHT DECKS
	module_light_flight_deck_1 = {
		category = module_light_flight_decks_category
		add_stats = {
			hg_attack = 320
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}
		dismantle_cost_ic = 1000000
	}

	module_light_flight_deck_2 = {
		category = module_light_flight_decks_category
		add_stats = {
			carrier_size = 1
			hg_attack = 180
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}
		dismantle_cost_ic = 1000000
	}

	module_light_flight_deck_3 = {
		category = module_light_flight_decks_category
		add_stats = {
			carrier_size = 2
			hg_attack = 40
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}
		dismantle_cost_ic = 1000000
	}

#CARRIER FLIGHT DECKS
	module_flight_deck_1 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 1
			build_cost_ic = 7000
			max_strength = 200
			max_organisation = 2.86
			surface_visibility = 10
			fuel_consumption = 100
		}

		dismantle_cost_ic = 1000000

		manpower = 200
	}

	module_flight_deck_2 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 2
			build_cost_ic = 14000
			max_strength = 400
			max_organisation = 5.71
			surface_visibility = 20
			fuel_consumption = 200
		}

		dismantle_cost_ic = 1000000

		manpower = 400
	}

	module_flight_deck_3 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 3
			build_cost_ic = 21000
			max_strength = 600
			max_organisation = 8.57
			surface_visibility = 30
			fuel_consumption = 300
		}

		dismantle_cost_ic = 1000000

		manpower = 600
	}

	module_flight_deck_4 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 4
			build_cost_ic = 28000
			max_strength = 800
			max_organisation = 11.43
			surface_visibility = 40
			fuel_consumption = 400
		}

		dismantle_cost_ic = 1000000

		manpower = 800
	}

	module_flight_deck_5 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 5
			build_cost_ic = 35000
			max_strength = 1000
			max_organisation = 14.28
			surface_visibility = 50
			fuel_consumption = 1000
		}

		dismantle_cost_ic = 1000000

		manpower = 1000
	}

	module_flight_deck_6 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 6
			build_cost_ic = 42000
			max_strength = 1200
			max_organisation = 17.14
			surface_visibility = 60
			fuel_consumption = 600
		}

		dismantle_cost_ic = 1000000

		manpower = 1200
	}

	module_flight_deck_7 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 7
			build_cost_ic = 49000
			max_strength = 1400
			max_organisation = 20
			surface_visibility = 70
			fuel_consumption = 700
		}

		dismantle_cost_ic = 1000000

		manpower = 1400
	}

	module_flight_deck_8 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 8
			build_cost_ic = 56000
			max_strength = 1600
			max_organisation = 22.86
			surface_visibility = 80
			fuel_consumption = 800
		}

		dismantle_cost_ic = 1000000

		manpower = 1600
	}

	module_flight_deck_9 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 9
			build_cost_ic = 63000
			max_strength = 1800
			max_organisation = 25.71
			surface_visibility = 90
			fuel_consumption = 900
		}

		dismantle_cost_ic = 1000000

		manpower = 1800
	}

	module_flight_deck_10 = {
		category = module_flight_decks_category

		add_stats = {
			carrier_size = 10
			build_cost_ic = 70000
			max_strength = 2000
			max_organisation = 28.57
			surface_visibility = 100
			fuel_consumption = 1000
		}

		dismantle_cost_ic = 1000000

		manpower = 2000
	}

#FUEL TANK
	module_fuel_tank = {
		category = module_fuel_tanks_category

		add_stats = {
			build_cost_ic = 350
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.5
		}
		manpower = 10

		multiply_stats = {
			naval_range = 1
			build_cost_ic = 0.01
		}

		dismantle_cost_ic = 10

	}
#ESM
	module_esm_1 = {
		category = module_esm_category

		add_stats = {
			build_cost_ic = 675
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.215
		}
		manpower = 5

		multiply_stats = {
			max_strength = 0.1
			surface_visibility = -0.1
			build_cost_ic = 0.05
		}

		dismantle_cost_ic = 100

	}

	module_esm_2 = {
		category = module_esm_category
		parent = module_esm_1

		add_stats = {
			build_cost_ic = 425
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.181
		}
		manpower = 5

		multiply_stats = {
			max_strength = 0.125
			surface_visibility = -0.125
			build_cost_ic = 0.075
		}

		dismantle_cost_ic = 75

		can_convert_from = {
			module = module_esm_1
			convert_cost_ic = 250
		}

		build_cost_resources = {
			chromium = 1
		}
	}

	module_esm_3 = {
		category = module_esm_category
		parent = module_esm_2

		add_stats = {
			build_cost_ic = 225
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.15
		}
		manpower = 5

		multiply_stats = {
			max_strength = 0.15
			surface_visibility = -0.15
			build_cost_ic = 0.1
		}

		dismantle_cost_ic = 50

		can_convert_from = {
			module = module_esm_2
			convert_cost_ic = 250
		}

		build_cost_resources = {
			chromium = 2
		}
	}

	module_sub_esm_1 = {
		category = module_sub_esm_category

		add_stats = {
			build_cost_ic = 1350
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			sub_visibility = 0.425
		}
		manpower = 10

		multiply_stats = {
			max_strength = 0.2
			sub_visibility = -0.2
			build_cost_ic = 0.1
		}

		dismantle_cost_ic = 200

	}

	module_sub_esm_2 = {
		category = module_sub_esm_category
		parent = module_sub_esm_1

		add_stats = {
			build_cost_ic = 850
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			sub_visibility = 0.363
		}
		manpower = 10

		multiply_stats = {
			max_strength = 0.25
			sub_visibility = -0.25
			build_cost_ic = 0.15
		}

		dismantle_cost_ic = 150

		can_convert_from = {
			module = module_sub_esm_1
			convert_cost_ic = 500
		}

		build_cost_resources = {
			chromium = 1
		}
	}

	module_sub_esm_3 = {
		category = module_sub_esm_category
		parent = module_sub_esm_2

		add_stats = {
			build_cost_ic = 450
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			sub_visibility = 0.3
		}
		manpower = 10

		multiply_stats = {
			max_strength = 0.3
			sub_visibility = -0.3
			build_cost_ic = 0.2
		}

		dismantle_cost_ic = 100

		can_convert_from = {
			module = module_sub_esm_2
			convert_cost_ic = 500
		}

		build_cost_resources = {
			chromium = 2
		}
	}
#FIRE CONTROL
	module_analog_fire_control = {
		category = module_fire_control_system_category
		add_stats = {
			build_cost_ic = 200
		}

		multiply_stats = {
			lg_attack = 0.1
			torpedo_attack = 0.1
			anti_air_attack = 0.1
		}

		dismantle_cost_ic = 50

	}

	module_digital_integrated_fire_control = {
		category = module_fire_control_system_category
		parent = module_analog_fire_control
		add_stats = {
			build_cost_ic = 250
		}

		multiply_stats = {
			lg_attack = 0.15
			torpedo_attack = 0.15
			anti_air_attack = 0.15
		}

		dismantle_cost_ic = 50

		can_convert_from = {
			module = module_analog_fire_control
			convert_cost_ic = 100
		}

		build_cost_resources = {
			chromium = 1
		}

	}

	module_advanced_integrated_missile_radar_control = {
		category = module_fire_control_system_category
		parent = module_digital_integrated_fire_control
		add_stats = {
			build_cost_ic = 300
		}

		multiply_stats = {
			lg_attack = 0.2
			torpedo_attack = 0.2
			anti_air_attack = 0.2
		}

		dismantle_cost_ic = 50

		can_convert_from = {
			module = module_digital_integrated_fire_control
			convert_cost_ic = 100
		}

		build_cost_resources = {
			chromium = 2
		}

	}

	module_futuristic_integrated_missile_radar_control = {
		category = module_fire_control_system_category
		add_stats = {
			build_cost_ic = 350
		}

		multiply_stats = {
			lg_attack = 0.25
			torpedo_attack = 0.25
			anti_air_attack = 0.25
		}

		dismantle_cost_ic = 50

		can_convert_from = {
			module = module_advanced_integrated_missile_radar_control
			convert_cost_ic = 100
		}

		build_cost_resources = {
			chromium = 3
		}
	}

	module_heavy_frigate_upgrade_package = {
		category = module_heavy_frigate_upgrade_category
		add_equipment_type = capital_ship

		add_stats = {
			max_organisation = 0.5
		}
		manpower = 60

		multiply_stats = {
			lg_attack = 0.2
			hg_attack = 0.2
			torpedo_attack = 0.2
			anti_air_attack = 0.2
			sub_attack = 0.2
			naval_speed = -0.1
			max_strength = 0.2
			surface_visibility = 0.2
			build_cost_ic = 0.6
			fuel_consumption = 0.35
		}
	}

#Fighting Systems ============================================================================
#POINT DEFENSE
	module_chain_gun = {
		category = module_point_defense_system_category

		add_stats = {
			anti_air_attack = 0.5
			build_cost_ic = 225
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.25
			naval_torpedo_damage_reduction_factor = 0.02
		}
		manpower = 5

		dismantle_cost_ic = 10
	}

	module_ciws_1 = {
		category = module_point_defense_system_category

		add_stats = {
			build_cost_ic = 325
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.237
			anti_air_attack = 0.625
			naval_torpedo_damage_reduction_factor = 0.04
		}
		manpower = 5

		dismantle_cost_ic = 15

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 60
		}

	}

	module_ciws_2 = {
		category = module_point_defense_system_category
		parent = module_ciws_1

		add_stats = {
			build_cost_ic = 350
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.217
			anti_air_attack = 0.75
			naval_torpedo_damage_reduction_factor = 0.05
		}
		manpower = 5

		dismantle_cost_ic = 17.5

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 90
		}

		can_convert_from = {
			module = module_ciws_1
			convert_cost_ic = 45
		}
	}

	module_ciws_3 = {
		category = module_point_defense_system_category
		parent = module_ciws_2

		add_stats = {
			build_cost_ic = 375
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.2
			anti_air_attack = 0.825
			naval_torpedo_damage_reduction_factor = 0.06
		}
		manpower = 5

		dismantle_cost_ic = 20

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 120
		}

		can_convert_from = {
			module = module_ciws_2
			convert_cost_ic = 60
		}
	}

	module_ciws_4 = {
		category = module_point_defense_system_category
		parent = module_ciws_3

		add_stats = {
			build_cost_ic = 400
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.181
			anti_air_attack = 1
			naval_torpedo_damage_reduction_factor = 0.07
		}
		manpower = 5
		dismantle_cost_ic = 22.5

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 150
		}

		can_convert_from = {
			module = module_ciws_3
			convert_cost_ic = 75
		}
	}

	module_ciws_5 = {
		category = module_point_defense_system_category
		parent = module_ciws_4

		add_stats = {
			build_cost_ic = 425
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.162
			anti_air_attack = 1.125
			naval_torpedo_damage_reduction_factor = 0.08
		}
		manpower = 5

		dismantle_cost_ic = 25

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 180
		}

		can_convert_from = {
			module = module_ciws_4
			convert_cost_ic = 90
		}
	}

	module_ciws_6 = {
		category = module_point_defense_system_category
		parent = module_ciws_5

		add_stats = {
			build_cost_ic = 450
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.15
			anti_air_attack = 1.25
			naval_torpedo_damage_reduction_factor = 0.09
		}
		manpower = 5

		dismantle_cost_ic = 27.5

		can_convert_from = {
			module_category = module_point_defense_system_category
			convert_cost_ic = 200
		}

		can_convert_from = {
			module = module_ciws_5
			convert_cost_ic = 100
		}
	}
#LIGHT GUN BATTERIES
	module_76mm_battery = {
		category = module_gun_battery_category

		add_stats = {
			build_cost_ic = 1500
			lg_attack = 2
			anti_air_attack = 2
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 1
		}

		manpower = 20

		add_average_stats = {
			lg_armor_piercing = 11
		}

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 100
		}

		dismantle_cost_ic = 500
	}

	module_100mm_battery = {
		category = module_gun_battery_category

		add_stats = {
			build_cost_ic = 2050
			lg_attack = 2.5
			anti_air_attack = 2.5
			fuel_consumption = 15
			max_strength = 30
			max_organisation = 0.44
			surface_visibility = 1.5
		}

		manpower = 30

		add_average_stats = {
			lg_armor_piercing = 12
		}

		dismantle_cost_ic = 700
	}

	module_127mm_battery = {
		category = module_gun_battery_category

		add_stats = {
			build_cost_ic = 2800
			lg_attack = 3
			anti_air_attack = 3
			fuel_consumption = 20
			max_strength = 40
			max_organisation = 0.57
			surface_visibility = 2
		}

		manpower = 40

		add_average_stats = {
			lg_armor_piercing = 13
		}

		dismantle_cost_ic = 950
	}

	module_152mm_battery = {
		category = module_gun_battery_category

		add_stats = {
			build_cost_ic = 3700
			lg_attack = 3.5
			anti_air_attack = 3.5
			fuel_consumption = 30
			max_strength = 60
			max_organisation = 0.86
			surface_visibility = 3
		}

		manpower = 60

		add_average_stats = {
			lg_armor_piercing = 14
		}

		dismantle_cost_ic = 1250
	}
#76mm GUNS
	module_76mm_gun_1 = {
		category = module_light_guns_category

		add_stats = {
			build_cost_ic = 600
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			lg_attack = 1
			anti_air_attack = 1.125
			naval_torpedo_damage_reduction_factor = 0.04
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 15
		}

		dismantle_cost_ic = 25

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 85
		}
	}

	module_76mm_gun_2 = {
		category = module_light_guns_category
		parent = module_76mm_gun_1

		add_stats = {
			build_cost_ic = 650
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
			lg_attack = 1.25
			anti_air_attack = 1.25
			naval_torpedo_damage_reduction_factor = 0.06
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 18
		}

		dismantle_cost_ic = 30

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 100
		}

		can_convert_from = {
			module = module_76mm_gun_1
			convert_cost_ic = 50
		}
	}

	module_76mm_gun_3 = {
		category = module_light_guns_category
		parent = module_76mm_gun_2

		add_stats = {
			build_cost_ic = 700
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.35
			lg_attack = 1.5
			anti_air_attack = 1.375
			naval_torpedo_damage_reduction_factor = 0.08
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 21
		}

		dismantle_cost_ic = 35

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 115
		}

		can_convert_from = {
			module = module_76mm_gun_2
			convert_cost_ic = 55
		}
	}

	module_76mm_gun_4 = {
		category = module_light_guns_category
		parent = module_76mm_gun_3

		add_stats = {
			build_cost_ic = 750
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			lg_attack = 1.75
			anti_air_attack = 1.5
			naval_torpedo_damage_reduction_factor = 0.1
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 24
		}

		dismantle_cost_ic = 40

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 135
		}

		can_convert_from = {
			module = module_76mm_gun_3
			convert_cost_ic = 70
		}
	}
#127mm GUNS
	module_127mm_guns_1 = {
		category = module_light_guns_category

		add_stats = {
			build_cost_ic = 700
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			lg_attack = 1.5
			anti_air_attack = 1.25
			naval_torpedo_damage_reduction_factor = 0.03
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 20
		}

		dismantle_cost_ic = 35

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 125
		}
	}

	module_127mm_guns_2 = {
		category = module_light_guns_category
		parent = module_127mm_guns_1

		add_stats = {
			build_cost_ic = 750
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
			lg_attack = 1.875
			anti_air_attack = 1.5
			naval_torpedo_damage_reduction_factor = 0.045
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 24
		}

		dismantle_cost_ic = 40

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 140
		}

		can_convert_from = {
			module = module_127mm_guns_1
			convert_cost_ic = 70
		}
	}

	module_127mm_guns_3 = {
		category = module_light_guns_category
		parent = module_127mm_guns_2

		add_stats = {
			build_cost_ic = 800
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.35
			lg_attack = 2.25
			anti_air_attack = 1.75
			naval_torpedo_damage_reduction_factor = 0.06
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 28
		}

		dismantle_cost_ic = 45

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 150
		}

		can_convert_from = {
			module = module_127mm_guns_2
			convert_cost_ic = 75
		}
	}

	module_127mm_guns_4 = {
		category = module_light_guns_category
		parent = module_127mm_guns_3

		add_stats = {
			build_cost_ic = 850
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			lg_attack = 2.625
			anti_air_attack = 2
			naval_torpedo_damage_reduction_factor = 0.075
		}
		manpower = 10
		add_average_stats = {
			lg_armor_piercing = 32
		}

		dismantle_cost_ic = 50

		can_convert_from = {
			module_category = module_light_guns_category
			convert_cost_ic = 160
		}

		can_convert_from = {
			module = module_127mm_guns_3
			convert_cost_ic = 80
		}
	}
#HEAVY GUNS
	module_heavy_guns_1 = {
		category = module_heavy_guns_category

		add_stats = {
			build_cost_ic = 1500
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 1
			hg_attack = 16
			lg_attack = 4
		}
		manpower = 20
		add_average_stats = {
			hg_armor_piercing = 0
			lg_armor_piercing = 32
		}

		dismantle_cost_ic = 400
	}

	module_heavy_guns_2 = {
		category = module_heavy_guns_category
		parent = module_heavy_guns_1

		add_stats = {
			build_cost_ic = 1700
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.9
			hg_attack = 20
			lg_attack = 5
		}
		manpower = 20
		add_average_stats = {
			hg_armor_piercing = 0
			lg_armor_piercing = 40
		}

		dismantle_cost_ic = 500

		can_convert_from = {
			module_category = module_heavy_guns_category
			convert_cost_ic = 400
		}
	}

	module_heavy_guns_3 = {
		category = module_heavy_guns_category
		parent = module_heavy_guns_2

		add_stats = {
			build_cost_ic = 1900
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.75
			hg_attack = 24
			lg_attack = 6
		}
		manpower = 20
		add_average_stats = {
			hg_armor_piercing = 0
			lg_armor_piercing = 48
		}

		dismantle_cost_ic = 600

		can_convert_from = {
			module_category = module_heavy_guns_category
			convert_cost_ic = 800
		}

		can_convert_from = {
			module = module_heavy_guns_2
			convert_cost_ic = 400
		}
	}
#RAILGUNS
	module_railgun_1 = {
		category = module_railguns_category

		add_stats = {
			build_cost_ic = 1400
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.75
			lg_attack = 3.75
		}
		manpower = 20
		add_average_stats = {
			lg_armor_piercing = 50
		}

		dismantle_cost_ic = 175

		build_cost_resources = {
			chromium = 1
		}

	}

	module_railgun_2 = {
		category = module_railguns_category
		parent = module_railgun_1

		add_stats = {
			build_cost_ic = 1500
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.7
			lg_attack = 5
		}
		manpower = 20
		add_average_stats = {
			lg_armor_piercing = 60
		}

		dismantle_cost_ic = 200

		can_convert_from = {
			module_category = module_railguns_category
			convert_cost_ic = 200
		}

		build_cost_resources = {
			chromium = 1
		}
	}

	module_railgun_3 = {
		category = module_railguns_category
		parent = module_railgun_2

		add_stats = {
			build_cost_ic = 1600
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.65
			lg_attack = 6.25
		}
		manpower = 20
		add_average_stats = {
			lg_armor_piercing = 70
		}

		dismantle_cost_ic = 225

		can_convert_from = {
			module_category = module_railguns_category
			convert_cost_ic = 400
		}

		can_convert_from = {
			module = module_railgun_2
			convert_cost_ic = 200
		}

		build_cost_resources = {
			chromium = 2
		}
	}

	module_railgun_4 = {
		category = module_railguns_category
		parent = module_railgun_3

		add_stats = {
			build_cost_ic = 1700
			fuel_consumption = 10
			max_strength = 20
			max_organisation = 0.28
			surface_visibility = 0.6
			lg_attack = 7.5
		}
		manpower = 20
		add_average_stats = {
			lg_armor_piercing = 80
		}

		dismantle_cost_ic = 250

		can_convert_from = {
			module_category = module_railguns_category
			convert_cost_ic = 600
		}

		can_convert_from = {
			module = module_railgun_3
			convert_cost_ic = 200
		}

		build_cost_resources = {
			chromium = 2
		}
	}

#VLS Missile Systems =============================
#VLS ASM
	module_vls_asm_1 = {
		category = module_vls_category

		add_stats = {
			build_cost_ic = 1560
			torpedo_attack = 5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 100
		}

	}

	module_vls_asm_2 = {
		category = module_vls_category
		parent = module_vls_asm_1

		add_stats = {
			build_cost_ic = 1620
			torpedo_attack = 6
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 105

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 150
		}
	}

	module_vls_asm_3 = {
		category = module_vls_category
		parent = module_vls_asm_2

		add_stats = {
			build_cost_ic = 1680
			torpedo_attack = 7
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 200
		}
	}

	module_vls_asm_4 = {
		category = module_vls_category
		parent = module_vls_asm_3

		add_stats = {
			build_cost_ic = 1740
			torpedo_attack = 8
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 135

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 250
		}
	}

	module_vls_asm_5 = {
		category = module_vls_category
		parent = module_vls_asm_4

		add_stats = {
			build_cost_ic = 1800
			torpedo_attack = 9
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 150

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 300
		}
	}

	module_vls_asm_6 = {
		category = module_vls_category
		parent = module_vls_asm_5

		add_stats = {
			build_cost_ic = 1860
			torpedo_attack = 10
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		manpower = 20

		dismantle_cost_ic = 165

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 350
		}
	}
#VLS SAM
	module_vls_sam_1 = {
		category = module_vls_category

		add_stats = {
			build_cost_ic = 1560
			anti_air_attack = 5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 100
		}
	}

	module_vls_sam_2 = {
		category = module_vls_category
		parent = module_vls_sam_1

		add_stats = {
			build_cost_ic = 1620
			anti_air_attack = 6
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 105

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 150
		}
	}

	module_vls_sam_3 = {
		category = module_vls_category
		parent = module_vls_sam_2

		add_stats = {
			build_cost_ic = 1680
			anti_air_attack = 7
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 200
		}
	}

	module_vls_sam_4 = {
		category = module_vls_category
		parent = module_vls_sam_3

		add_stats = {
			build_cost_ic = 1740
			anti_air_attack = 8
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 65

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 250
		}
	}

	module_vls_sam_5 = {
		category = module_vls_category
		parent = module_vls_sam_4

		add_stats = {
			build_cost_ic = 1800
			anti_air_attack = 9
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 150

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 300
		}
	}

	module_vls_sam_6 = {
		category = module_vls_category
		parent = module_vls_sam_5

		add_stats = {
			build_cost_ic = 1860
			anti_air_attack = 10
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 165

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 350
		}
	}
#VLS LAM
	module_vls_lam_1 = {
		category = module_vls_category

		add_stats = {
			build_cost_ic = 1560
			hg_attack = 13.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 100
		}
	}

	module_vls_lam_2 = {
		category = module_vls_category
		parent = module_vls_lam_1

		add_stats = {
			build_cost_ic = 1680
			hg_attack = 15
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 105

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 150
		}
	}

	module_vls_lam_3 = {
		category = module_vls_category
		parent = module_vls_lam_2

		add_stats = {
			build_cost_ic = 1740
			hg_attack = 16.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 200
		}
	}

	module_vls_lam_4 = {
		category = module_vls_category
		parent = module_vls_lam_3

		add_stats = {
			build_cost_ic = 1800
			hg_attack = 18
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 135

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 250
		}
	}

	module_vls_lam_5 = {
		category = module_vls_category

		add_stats = {
			build_cost_ic = 1860
			hg_attack = 19.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 150

		can_convert_from = {
			module_category = module_vls_category
			convert_cost_ic = 300
		}
	}
#VLS SUB ASM
	module_vls_sub_asm_1 = {
		category = module_vls_sub_category

		add_stats = {
			build_cost_ic = 1560
			torpedo_attack = 5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 100
		}

	}

	module_vls_sub_asm_2 = {
		category = module_vls_sub_category
		parent = module_vls_sub_asm_1

		add_stats = {
			build_cost_ic = 1620
			torpedo_attack = 6
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 105

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 150
		}
	}

	module_vls_sub_asm_3 = {
		category = module_vls_sub_category
		parent = module_vls_sub_asm_2

		add_stats = {
			build_cost_ic = 1680
			torpedo_attack = 7
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 200
		}
	}

	module_vls_sub_asm_4 = {
		category = module_vls_sub_category
		parent = module_vls_sub_asm_3

		add_stats = {
			build_cost_ic = 1740
			torpedo_attack = 8
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 135

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 250
		}
	}

	module_vls_sub_asm_5 = {
		category = module_vls_sub_category
		parent = module_vls_sub_asm_4

		add_stats = {
			build_cost_ic = 1800
			torpedo_attack = 9
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}

		manpower = 20

		dismantle_cost_ic = 150

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 300
		}
	}

	module_vls_sub_asm_6 = {
		category = module_vls_sub_category
		parent = module_vls_sub_asm_5

		add_stats = {
			build_cost_ic = 1860
			torpedo_attack = 10
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		manpower = 20

		dismantle_cost_ic = 165

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 350
		}
	}
#VLS SUB LAM
	module_vls_sub_lam_1 = {
		category = module_vls_sub_category

		add_stats = {
			build_cost_ic = 1560
			hg_attack = 13.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 100
		}
	}

	module_vls_sub_lam_2 = {
		category = module_vls_sub_category
		parent = module_vls_sub_lam_1

		add_stats = {
			build_cost_ic = 1680
			hg_attack = 15
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 105

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 150
		}
	}

	module_vls_sub_lam_3 = {
		category = module_vls_sub_category
		parent = module_vls_sub_lam_2

		add_stats = {
			build_cost_ic = 1740
			hg_attack = 16.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 120

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 200
		}
	}

	module_vls_sub_lam_4 = {
		category = module_vls_sub_category
		parent = module_vls_sub_lam_3

		add_stats = {
			build_cost_ic = 1800
			hg_attack = 18
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 135

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 250
		}
	}

	module_vls_sub_lam_5 = {
		category = module_vls_sub_category

		add_stats = {
			build_cost_ic = 1860
			hg_attack = 19.5
			max_strength = 20
			max_organisation = 0.28
			fuel_consumption = 10
		}
		add_average_stats = {
			hg_armor_piercing = 0
		}

		manpower = 20

		dismantle_cost_ic = 150

		can_convert_from = {
			module_category = module_vls_sub_category
			convert_cost_ic = 300
		}
	}
#Turret Missile Systems =============================
#RAM
	module_ram_1 = {
		category = module_point_defense_system_category

		add_stats = {
			build_cost_ic = 950
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			anti_air_attack = 1.5
			naval_torpedo_damage_reduction_factor = 0.06
		}
		manpower = 10

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 160
		}

	}

	module_ram_2 = {
		category = module_point_defense_system_category
		parent = module_ram_1

		add_stats = {
			build_cost_ic = 1000
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.45
			anti_air_attack = 1.875
			naval_torpedo_damage_reduction_factor = 0.075
		}
		manpower = 10

		dismantle_cost_ic = 70

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 175
		}
	}

	module_ram_3 = {
		category = module_point_defense_system_category
		parent = module_ram_2

		add_stats = {
			build_cost_ic = 1050
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
			anti_air_attack = 2.25
			naval_torpedo_damage_reduction_factor = 0.09
		}
		manpower = 10

		dismantle_cost_ic = 80

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 185
		}
	}

	module_ram_4 = {
		category = module_point_defense_system_category
		parent = module_ram_3

		add_stats = {
			build_cost_ic = 1100
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.375
			anti_air_attack = 2.625
			naval_torpedo_damage_reduction_factor = 0.105
		}
		manpower = 10

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 200
		}
	}

	module_ram_5 = {
		category = module_point_defense_system_category
		parent = module_ram_4

		add_stats = {
			build_cost_ic = 1150
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.338
			anti_air_attack = 3
			naval_torpedo_damage_reduction_factor = 0.12
		}
		manpower = 10

		dismantle_cost_ic = 100

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 215
		}
	}

	module_ram_6 = {
		category = module_point_defense_system_category
		parent = module_ram_5
		add_stats = {
			build_cost_ic = 1200
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			anti_air_attack = 3.375
			naval_torpedo_damage_reduction_factor = 0.135
		}
		manpower = 10

		dismantle_cost_ic = 110

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 225
		}
	}
#AA MISSILES
	module_aa_missiles_1 = {
		category = module_turret_missile_category

		add_stats = {
			build_cost_ic = 950
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			anti_air_attack = 4.375
		}
		manpower = 10

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 100
		}

	}

	module_aa_missiles_2 = {
		category = module_turret_missile_category
		parent = module_aa_missiles_1

		add_stats = {
			build_cost_ic = 1000
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.45
			anti_air_attack = 5
		}
		manpower = 10

		dismantle_cost_ic = 70

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 150
		}
	}

	module_aa_missiles_3 = {
		category = module_turret_missile_category
		parent = module_aa_missiles_2

		add_stats = {
			build_cost_ic = 1050
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
			anti_air_attack = 5.625
		}
		manpower = 10

		dismantle_cost_ic = 80

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 200
		}
	}

	module_aa_missiles_4 = {
		category = module_turret_missile_category
		parent = module_aa_missiles_3

		add_stats = {
			build_cost_ic = 1100
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.375
			anti_air_attack = 6.25
		}
		manpower = 10

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 250
		}
	}

	module_aa_missiles_5 = {
		category = module_turret_missile_category
		parent = module_aa_missiles_4

		add_stats = {
			build_cost_ic = 1150
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.338
			anti_air_attack = 6.875
		}
		manpower = 10

		dismantle_cost_ic = 100

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 300
		}
	}

	module_aa_missiles_6 = {
		category = module_turret_missile_category
		parent = module_aa_missiles_5

		add_stats = {
			build_cost_ic = 1200
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			anti_air_attack = 7.5
		}
		manpower = 10

		dismantle_cost_ic = 110

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 350
		}
	}
#ASW MISSILES
	module_anti_submarine_missile_1 = {
		category = module_turret_missile_category

		add_stats = {
			sub_attack = 25
			build_cost_ic = 950
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
		}
		manpower = 10

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 100
		}
	}

	module_anti_submarine_missile_2 = {
		category = module_turret_missile_category
		parent = module_anti_submarine_missile_1

		add_stats = {
			sub_attack = 30
			build_cost_ic = 1000
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.45
		}
		manpower = 10

		dismantle_cost_ic = 70

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 150
		}
	}

	module_anti_submarine_missile_3 = {
		category = module_turret_missile_category
		parent = module_anti_submarine_missile_2

		add_stats = {
			sub_attack = 35
			build_cost_ic = 1050
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
		}
		manpower = 10

		dismantle_cost_ic = 80

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 200
		}
	}

	module_anti_submarine_missile_4 = {
		category = module_turret_missile_category
		parent = module_anti_submarine_missile_3

		add_stats = {
			sub_attack = 40
			build_cost_ic = 1100
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.375
		}
		manpower = 10

		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 250
		}
	}

	module_anti_submarine_missile_5 = {
		category = module_turret_missile_category
		parent = module_anti_submarine_missile_4

		add_stats = {
			sub_attack = 45
			build_cost_ic = 1150
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.338
		}
		manpower = 10

		dismantle_cost_ic = 100

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 300
		}
	}

	module_anti_submarine_missile_6 = {
		category = module_turret_missile_category
		parent = module_anti_submarine_missile_5

		add_stats = {
			sub_attack = 50
			build_cost_ic = 1200
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
		}
		manpower = 10

		dismantle_cost_ic = 110

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 350
		}
	}
#ANTI SHIP MISSILES
	module_asm_1 = {
		category = module_turret_missile_category

		add_stats = {
			build_cost_ic = 950
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			torpedo_attack = 4.5
		}
		manpower = 10

		dismantle_cost_ic = 60

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 100
		}

	}

	module_asm_2 = {
		category = module_turret_missile_category
		parent = module_asm_1

		add_stats = {
			build_cost_ic = 1000
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.45
			torpedo_attack = 5.25
		}
		manpower = 10

		dismantle_cost_ic = 70

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 150
		}
	}

	module_asm_3 = {
		category = module_turret_missile_category
		parent = module_asm_2

		add_stats = {
			build_cost_ic = 1050
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.413
			torpedo_attack = 6
		}
		manpower = 10

		dismantle_cost_ic = 80

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 200
		}
	}

	module_asm_4 = {
		category = module_turret_missile_category
		parent = module_asm_3

		add_stats = {
			build_cost_ic = 1100
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.375
			torpedo_attack = 6.75
		}
		manpower = 10
		dismantle_cost_ic = 90

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 250
		}
	}

	module_asm_5 = {
		category = module_turret_missile_category
		parent = module_asm_4

		add_stats = {
			build_cost_ic = 1150
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.338
			torpedo_attack = 7.5
		}
		manpower = 10

		dismantle_cost_ic = 100

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 300
		}
	}

	module_asm_6 = {
		category = module_turret_missile_category
		parent = module_asm_5

		add_stats = {
			build_cost_ic = 1200
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			torpedo_attack = 8.25
		}
		manpower = 10
		dismantle_cost_ic = 110

		can_convert_from = {
			module_category = module_turret_missile_category
			convert_cost_ic = 350
		}
	}
#Sensor Systems ==============================================================================
#RADAR
	module_radar_1 = {
		category = module_radar_category

		add_stats = {
			build_cost_ic = 300
			surface_detection = 20
			sub_detection = 6
		}

		multiply_stats = {
			lg_attack = 0.05
			torpedo_attack = 0.05
			anti_air_attack = 0.4
		}

		dismantle_cost_ic = 30

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 150
		}

	}

	module_radar_2 = {
		category = module_radar_category
		parent = module_radar_1

		add_stats = {
			build_cost_ic = 450
			surface_detection = 25
			sub_detection = 7.5
		}

		dismantle_cost_ic = 45

		multiply_stats = {
			lg_attack = 0.1
			torpedo_attack = 0.1
			anti_air_attack = 0.6
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 225
		}
	}

	module_radar_3 = {
		category = module_radar_category
		parent = module_radar_2

		add_stats = {
			build_cost_ic = 600
			surface_detection = 30
			sub_detection = 9
		}

		dismantle_cost_ic = 60

		multiply_stats = {
			lg_attack = 0.15
			torpedo_attack = 0.15
			anti_air_attack = 0.8
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 300
		}
	}

	module_radar_4 = {
		category = module_radar_category
		parent = module_radar_3

		add_stats = {
			build_cost_ic = 750
			surface_detection = 35
			sub_detection = 10.5
		}

		dismantle_cost_ic = 75

		multiply_stats = {
			lg_attack = 0.2
			torpedo_attack = 0.2
			anti_air_attack = 1
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 375
		}
	}

	module_radar_5 = {
		category = module_radar_category
		parent = module_radar_4

		add_stats = {
			build_cost_ic = 900
			surface_detection = 40
			sub_detection = 12
		}

		dismantle_cost_ic = 90

		multiply_stats = {
			lg_attack = 0.25
			torpedo_attack = 0.25
			anti_air_attack = 1.2
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 450
		}
	}

	module_radar_6 = {
		category = module_radar_category
		parent = module_radar_5

		add_stats = {
			build_cost_ic = 1050
			surface_detection = 45
			sub_detection = 13.5
		}

		dismantle_cost_ic = 105

		multiply_stats = {
			lg_attack = 0.3
			torpedo_attack = 0.3
			anti_air_attack = 1.4
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 525
		}
	}

	module_radar_7 = {
		category = module_radar_category
		parent = module_radar_6

		add_stats = {
			build_cost_ic = 1200
			surface_detection = 50
			sub_detection = 15
		}

		dismantle_cost_ic = 120

		multiply_stats = {
			lg_attack = 0.35
			torpedo_attack = 0.35
			anti_air_attack = 1.6
		}

		can_convert_from = {
			module_category = module_radar_category
			convert_cost_ic = 600
		}
	}
#SONAR
	module_sonar_1 = {
		category = module_sonar_category

		add_stats = {
			build_cost_ic = 100
			surface_detection = 12
			sub_detection = 20
		}

		multiply_stats = {
			lg_attack = 0.04
			torpedo_attack = 0.04
		}

		dismantle_cost_ic = 10

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 50
		}

	}

	module_sonar_2 = {
		category = module_sonar_category
		parent = module_sonar_1

		add_stats = {
			build_cost_ic = 150
			surface_detection = 15
			sub_detection = 25
		}

		multiply_stats = {
			lg_attack = 0.06
			torpedo_attack = 0.06
		}

		dismantle_cost_ic = 15

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 75
		}
	}

	module_sonar_3 = {
		category = module_sonar_category
		parent = module_sonar_2

		add_stats = {
			build_cost_ic = 200
			surface_detection = 18
			sub_detection = 30
		}

		multiply_stats = {
			lg_attack = 0.08
			torpedo_attack = 0.08
		}

		dismantle_cost_ic = 20

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 100
		}
	}

	module_sonar_4 = {
		category = module_sonar_category
		parent = module_sonar_3

		add_stats = {
			build_cost_ic = 250
			surface_detection = 21
			sub_detection = 35
		}

		multiply_stats = {
			lg_attack = 0.1
			torpedo_attack = 0.1
		}

		dismantle_cost_ic = 25

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 125
		}
	}

	module_sonar_5 = {
		category = module_sonar_category
		parent = module_sonar_4

		add_stats = {
			build_cost_ic = 300
			surface_detection = 24
			sub_detection = 40
		}

		multiply_stats = {
			lg_attack = 0.12
			torpedo_attack = 0.12
		}

		dismantle_cost_ic = 30

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 150
		}
	}

	module_sonar_6 = {
		category = module_sonar_category
		parent = module_sonar_5

		add_stats = {
			build_cost_ic = 350
			surface_detection = 27
			sub_detection = 45
		}

		multiply_stats = {
			lg_attack = 0.14
			torpedo_attack = 0.14
		}

		dismantle_cost_ic = 35

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 175
		}
	}

	module_sonar_7 = {
		category = module_sonar_category
		parent = module_sonar_6

		add_stats = {
			build_cost_ic = 400
			surface_detection = 30
			sub_detection = 50
		}

		multiply_stats = {
			lg_attack = 0.16
			torpedo_attack = 0.16
		}

		dismantle_cost_ic = 40

		can_convert_from = {
			module_category = module_sonar_category
			convert_cost_ic = 200
		}
	}
#ASW TORPEDOES
	module_torpedoes_1 = {
		category = module_torpedoes_category

		add_stats = {
			build_cost_ic = 900
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			sub_visibility = 0.475
			sub_attack = 25
		}
		manpower = 10

		dismantle_cost_ic = 10

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 50
		}
		critical_parts = { damaged_torpedoes }
	}

	module_torpedoes_2 = {
		category = module_torpedoes_category
		parent = module_torpedoes_1

		add_stats = {
			build_cost_ic = 950
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.438
			sub_visibility = 0.438
			sub_attack = 30
		}
		manpower = 10

		dismantle_cost_ic = 15

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 75
		}
		critical_parts = { damaged_torpedoes }
	}

	module_torpedoes_3 = {
		category = module_torpedoes_category
		parent = module_torpedoes_2

		add_stats = {
			build_cost_ic = 1000
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.388
			sub_visibility = 0.388
			sub_attack = 35
		}
		manpower = 10

		dismantle_cost_ic = 20

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 100
		}
		critical_parts = { damaged_torpedoes }
	}

	module_torpedoes_4 = {
		category = module_torpedoes_category
		parent = module_torpedoes_3

		add_stats = {
			build_cost_ic = 1050
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.363
			sub_visibility = 0.363
			sub_attack = 40
		}
		manpower = 10

		dismantle_cost_ic = 25

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 125
		}
		critical_parts = { damaged_torpedoes }
	}

	module_torpedoes_5 = {
		category = module_torpedoes_category
		parent = module_torpedoes_4

		add_stats = {
			build_cost_ic = 1100
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.325
			sub_visibility = 0.325
			sub_attack = 45
		}
		manpower = 10

		dismantle_cost_ic = 30

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 150
		}
		critical_parts = { damaged_torpedoes }
	}

	module_torpedoes_6 = {
		category = module_torpedoes_category
		parent = module_torpedoes_5

		add_stats = {
			build_cost_ic = 1150
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			sub_visibility = 0.3
			sub_attack = 50
		}
		manpower = 10

		dismantle_cost_ic = 35

		can_convert_from = {
			module_category = module_torpedoes_category
			convert_cost_ic = 175
		}
		critical_parts = { damaged_torpedoes }
	}
#ANTI-SHIP TORPEDOES
	module_anti_ship_torpedoes_1 = {
		category = module_anti_ship_torpedoes_category

		add_stats = {
			build_cost_ic = 550
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.475
			sub_visibility = 0.475
			torpedo_attack = 2.5
			sub_attack = 10
		}
		manpower = 10

		dismantle_cost_ic = 10

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 50
		}
		critical_parts = { damaged_torpedoes }
	}

	module_anti_ship_torpedoes_2 = {
		category = module_anti_ship_torpedoes_category
		parent = module_anti_ship_torpedoes_1

		add_stats = {
			build_cost_ic = 575
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.438
			sub_visibility = 0.438
			torpedo_attack = 3
			sub_attack = 12
		}
		manpower = 10

		dismantle_cost_ic = 15

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 75
		}
		critical_parts = { damaged_torpedoes }
	}

	module_anti_ship_torpedoes_3 = {
		category = module_anti_ship_torpedoes_category
		parent = module_anti_ship_torpedoes_2

		add_stats = {
			build_cost_ic = 600
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.388
			sub_visibility = 0.388
			torpedo_attack = 3.5
			sub_attack = 14
		}
		manpower = 10

		dismantle_cost_ic = 20

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 100
		}
		critical_parts = { damaged_torpedoes }
	}

	module_anti_ship_torpedoes_4 = {
		category = module_anti_ship_torpedoes_category
		parent = module_anti_ship_torpedoes_3

		add_stats = {
			build_cost_ic = 625
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.363
			sub_visibility = 0.363
			torpedo_attack = 4
			sub_attack = 16
		}
		manpower = 10

		dismantle_cost_ic = 25

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 125
		}
		critical_parts = { damaged_torpedoes }
	}

	module_anti_ship_torpedoes_5 = {
		category = module_anti_ship_torpedoes_category
		parent = module_anti_ship_torpedoes_4

		add_stats = {
			build_cost_ic = 650
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.325
			sub_visibility = 0.325
			torpedo_attack = 4.5
			sub_attack = 18
		}
		manpower = 10

		dismantle_cost_ic = 30

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 150
		}
		critical_parts = { damaged_torpedoes }
	}

	module_anti_ship_torpedoes_6 = {
		category = module_anti_ship_torpedoes_category
		parent = module_anti_ship_torpedoes_5

		add_stats = {
			build_cost_ic = 675
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.3
			sub_visibility = 0.3
			torpedo_attack = 5
			sub_attack = 20
		}
		manpower = 10

		dismantle_cost_ic = 35

		can_convert_from = {
			module_category = module_anti_ship_torpedoes_category
			convert_cost_ic = 175
		}
		critical_parts = { damaged_torpedoes }
	}
#Mine Warfare
	module_minelaying = {
		category = module_minelaying_category

		add_stats = {
			build_cost_ic = 550
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.5
			mines_planting = 3
		}
		manpower = 10

		dismantle_cost_ic = 20
	}

	module_mineclearing = {
		category = module_mineclearing_category

		add_stats = {
			build_cost_ic = 750
			fuel_consumption = 5
			max_strength = 10
			max_organisation = 0.14
			surface_visibility = 0.5
			mines_sweeping = 3
		}

		dismantle_cost_ic = 40
	}
#ASW MORTAR
	module_anti_submarine_mortar = {
		category = module_anti_submarine_mortar_category

		add_stats = {
			sub_attack = 4
			build_cost_ic = 200
			fuel_consumption = 2.5
			max_strength = 5
			max_organisation = 0.07
			surface_visibility = 0.25
		}
		manpower = 5

		dismantle_cost_ic = 5
	}
}